eLogii
    • Introduction
    • Entities
    • FAQs
    • Query parameters
    • Webhooks
    • Tasks
      • Task Elements
      • createOrUpdateMany
        POST
      • Get tasks
        GET
      • Create tasks
        POST
      • Delete tasks
        POST
      • Update a task
        PUT
      • Get Proof of Delivery
        GET
      • Cancel tasks
        POST
      • Post Tasks Create Return
        POST
      • Move tasks to another date
        POST
      • postTasksReattempt
        POST
      • Start tracking a task (webhook)
        POST
    • Drivers
      • Driver Elements
      • Get drivers
        GET
      • Create multiple drivers
        POST
      • Update drivers
        POST
      • Delete drivers
        POST
    • Customers
      • Customer Elements
      • Get customers
        GET
      • Create customers
        POST
      • Update customers
        POST
      • Delete customers
        POST
    • Depots
      • Depot Elements
      • Get depots
      • Create depots
      • Update depots
      • Delete depots
    • Driver-schedule-exceptions
      • Driver-schedule-exception elements
      • Get all exceptions
      • Get schedule exception for a specific driver
      • Update a schedule exception
      • Create multiple schedule exceptions
      • Delete multiple schedule exceptions
    • Route-template-groups
      • Route-template-groups elements
      • Get route template groups
      • Create a route-template-group
      • Update a route template group
      • Delete multiple route template groups
      • Schedule for dates
    • Routes
      • Route Elements
      • Get routes
      • Clear route(s)
      • Lock route(s)
      • Unlock route(s)
      • Set planned ETAs
      • Setting the task order
    • Task-template-groups
      • Task-template-groups Elements
      • Get task-template-groups
      • Create task-template-groups
      • Get one task-template-group by _id
      • Update task-template-group
      • Delete one task-template-group
      • Delete multiple task-template-groups
      • Schedule task-template-groups for dates
      • Add tasks to group
    • Vehicles
      • Vehicle Elements
      • Create multiple vehicles
      • Get vehicles
      • Update multiple vehicles
      • Delete multiple vehicles
    • Zones
      • Zones Elements
      • getZones
      • postZones
      • putZones_id
      • deleteZones_id
    • Optimization
      • Optimization Elements
      • Run optimization for provided data set
      • Run optimization for one or multiple dates
      • Run optimization for one or multiple existing routes
      • Optimize tasks in a period (e.g. 1 month), where some of the tasks have varying intervals - e.g. weekly, every 2 weeks, monthly
      • Run optimization for a date range
    • Forms
      • Get all forms
      • Create and design a form
      • Update many forms
      • Delete many forms
    • Form submissions
      • Get all form submissions
      • Get a specific form's submissions
      • Update many form submissions
      • Delete many form submissions

    Webhooks

    A webhook is a way for eLogii to send real-time data to an external server when a specific event happens, such as tracking information.
    It can be set up in Configuration ⇒ Webhooks.
    Select the webhook type and enter the endpoint to which the content will be sent, and click Add a webhook.
    ​
    Our entire webhook documentation can be viewed by selecting Show Webhook Documentation.
    image.png
    There are two kinds of webhooks you can make: one is for the entire organization, and the other is for the Customer entity.

    Organization-level Webhooks#

    Organization-level Webhooks apply to Routes, Tasks, Task templates, and Optimization.
    Users can pick any of the available Webhook types (taskUpdate, taskStateUpdate, optimization, etc.), Request type (POST, GET, PUT, DELETE), Authentication (None, Basic HTTP Auth, Header/API key, HMAC, OAuth 2.0 - Client Credentials), Trigger condition (This field is used to trigger a hook only when specific conditions are met, for example, when the task size exceeds 100. If you're not sure how to configure this, please contact eLogii support for assistance), Fields (the fields you want to use for the webhook), and if they wish for the webhook to Auto retry.
    Recording #208.gif
    Depending on the Authentication of choice, the required options may vary.
    Once your setup is done, click +Add to save your webhook.

    Customer-level Webhooks#

    Customer-level webhooks affect Route, Task, Task templates, and Optimization data related to a specific Customer.
    Users need to specify which Customer the webhook will relate to and populate the other fields accordingly. The available fields are identical to the ones in Organization-level Webhooks.
    Recording #209.gif
    Once your setup is done, click +Add to save your webhook.
    Setting up the trigger condition
    The trigger condition is used to trigger a hook under certain conditions, which has a syntax similar to an API request payload. E.g., if you'd like to only receive hook requests that have the state as completed, you should enter {"state": 60}. It sends a webhook request once the task's state changes to completed from another state.
    image.png
    The fields component can be used to filter the parameters you need in the hook request body. This allows you to only receive the necessary fields you need.
    The auto try can be toggled on to ensure the system retries sending another webhook request if the previous hook failed.
    image.png
    The most triggered hook types are task update, routeETAupdate, and route updated webhooks. Setting up a trigger condition is important to reduce server overload and network traffic, resulting in high costs.

    Webhook Types#

    Task state update webhook
    Task Update Webhook
    Task Assignment Update Webhook
    Optimization Webhook
    Zone Updated Webhook
    Task / Driver Tracking webhook
    Optimization Complete webhook
    Form submission created Webhook
    Form submission updated webhook
    Modified at 2026-04-08 21:21:48
    Previous
    Query parameters
    Next
    Task Elements
    Built with